// Load default classes for tests
import './IO/Core/DataAccessHelper/HtmlDataAccessHelper';
import './IO/Core/DataAccessHelper/HttpDataAccessHelper';
import './IO/Core/DataAccessHelper/JSZipDataAccessHelper';

// Load the rendering pieces we want to use (for both WebGL and WebGPU)
import './Rendering/Profiles/All';

// Test list
import './Common/Core/CellArray/test/testCellArray';
import './Common/Core/LookupTable/test/testCategoricalColors';
import './Common/Core/Math/test/testMath';
import './Common/Core/MatrixBuilder/test/testMatrixBuilder';
import './Common/Core/LookupTable/test/testSetTable';
import './Common/DataModel/BoundingBox/test/testBoundingBox';
import './Common/DataModel/Box/test/testBox';
import './Common/DataModel/Cell/test/testCell';
import './Common/DataModel/Cone/test/testConeImplicitFunction';
import './Common/DataModel/DataSetAttributes/test/testDataSetAttributes';
import './Common/DataModel/Line/test/testLine';
import './Common/DataModel/Plane/test/testPlane';
import './Common/DataModel/PolyData/test/testPolyData';
import './Common/DataModel/Triangle/test/testTriangle';
import './Filters/Core/Cutter/test/testCutter';
import './Filters/General/AppendPolyData/test/testAppendPolyData';
import './Filters/General/Calculator/test/testCalculator';
import './Filters/General/ClosedPolyLineToSurfaceFilter/test/testClosedPolyLineToSurfaceFilter';
import './Filters/General/ImageStreamline/test/testStreamline';
import './Filters/General/MoleculeToRepresentation/test/testMultipleBonds';
import './Filters/General/PaintFilter/test/testPaintEllipse';
import './Filters/General/TubeFilter/test/testTubeFilter';
import './Filters/General/TubeFilter/test/testTubeColors';
import './Filters/General/WarpScalar/test/testWarp';
import './Filters/Sources/ConcentricCylinderSource/test/testConcentricCylinder';
import './Filters/Sources/ConeSource/test/testCone';
import './Filters/Sources/CubeSource/test/testCube';
import './Filters/Sources/CylinderSource/test/testCylinder';
import './Filters/Sources/LineSource/test/testLine';
import './Filters/Sources/PlaneSource/test/testPlane';
import './Filters/Sources/PointSource/test/testPointSource';
import './Filters/Texture/TextureMapToPlane/test/testTextureMapToPlane';
import './Filters/Texture/TextureMapToSphere/test/testTextureMapToSphere';
import './Imaging/Core/ImageReslice/test/testImageReslice';
import './Interaction/Style/InteractorStyleImage/test/testInteractorStyleImage';
import './IO/Misc/PDBReader/test/testMolecule';
import './Proxy/Core/PiecewiseFunctionProxy/test/testPiecewiseFunctionProxy';
import './Rendering/Core/AbstractMapper/test/testAbstractMapper';
import './Rendering/Core/Actor/test/testRotate';
import './Rendering/Core/CellPicker/test/testCellPicker';
import './Rendering/Core/ColorTransferFunction/test/testColorTransferFunction';
import './Rendering/Core/ColorTransferFunction/test/testColorTransferFunctionInterpolation';
import './Rendering/Core/ColorTransferFunction/test/testColorTransferFunctionPresets';
import './Rendering/Core/Coordinate/test/testCoordinate';
import './Rendering/Core/Follower/test/testFollower';
import './Rendering/Core/Glyph3DMapper/test/testGlyph3DMapper';
import './Rendering/Core/HardwareSelector/test/testHardwareSelector';
import './Rendering/Core/HardwareSelector/test/testHardwareSelectorGlyph';
import './Rendering/Core/HardwareSelector/test/testHardwareSelectorSpeed';
import './Rendering/Core/ImageMapper/test/testImage';
import './Rendering/Core/ImageMapper/test/testImageNearestNeighbor';
import './Rendering/Core/ImageMapper/test/testImageColorTransferFunction';
import './Rendering/Core/Mapper/test/testEdgeVisibility';
import './Rendering/Core/Mapper/test/testInterpolateScalarsBeforeMapping';
import './Rendering/Core/Mapper/test/testVectorComponent';
import './Rendering/Core/PointPicker/test/testPointPicker';
import './Rendering/Core/Prop3D/test/testUserMatrix';
import './Rendering/Core/RenderWindow/test/testMultipleRenderers';
import './Rendering/Core/SphereMapper/test/testDisableScalarColoring';
import './Rendering/Core/SphereMapper/test/testSphere';
import './Rendering/Core/StickMapper/test/testStick';
import './Rendering/Core/VolumeMapper/test/testAverageIntensityProjection';
import './Rendering/Core/VolumeMapper/test/testComposite';
import './Rendering/Core/VolumeMapper/test/testCompositeParallelProjection';
import './Rendering/Core/VolumeMapper/test/testComposite16Bit';
import './Rendering/Core/VolumeMapper/test/testIntermixed';
import './Rendering/Core/VolumeMapper/test/testIntermixedImage';
import './Rendering/Core/VolumeMapper/test/testMaximumIntensityProjection';
import './Rendering/Core/VolumeMapper/test/testMinimumIntensityProjection';
import './Rendering/Misc/GenericRenderWindow/test/testGenericRenderWindowCreateDelete';
import './Rendering/OpenGL/ImageMapper/test/testImageCroppingPlanes';
import './Rendering/OpenGL/ImageMapper/test/testImageIntermediateZSlice';
import './Rendering/OpenGL/PolyDataMapper/test/testAddShaderReplacements';
import './Rendering/OpenGL/PolyDataMapper/test/testClearShaderReplacements';
import './Rendering/OpenGL/PolyDataMapper/test/testClippingPlanes';
import './Rendering/OpenGL/Skybox/test/testSkybox';
import './Rendering/OpenGL/Skybox/test/testSkyboxBackground';
import './Rendering/OpenGL/Texture/test/testCreateCubeFromRawTexture';
import './Rendering/OpenGL/VolumeMapper/test/testLighting';
import './Rendering/OpenGL/VolumeMapper/test/testProportionalComponents';
import './Testing/testAlgorithm';
import './Testing/testIf';
import './Testing/testMacro';
import './Testing/testSerialization';
import './Testing/testProxy';
import './Widgets/Core/WidgetManager/test/testWidgetManager';
import './Widgets/Widgets3D/ResliceCursorWidget/test/testBoundPlane';
import './Widgets/Widgets3D/ResliceCursorWidget/test/testHelper';
import './Widgets/Widgets3D/ResliceCursorWidget/test/testMultipleRotationPlanes';
import './Widgets/Widgets3D/ResliceCursorWidget/test/testRotateVector';
import './Widgets/Widgets3D/SplineWidget/test/testSplineWidget';
